LINUX.ORG.RU

Как установить .NET 2.0 в Wine?


0

1

Всем привет. Мне для игры COD2 Sevlan нужен .NET2. Он сам не ставится из-за того, что не взлетает на 64битных операционках. Я нашел 2 способа обхода: через изменение архитектуры Wine и через правку install.ini установщика. Я, к сожалению, install.ini не нашел. Перерыл весь ~/home/.wine/drive_c/Users/Sergey/Temp, но не нашел. Подскажите, пожалуйста, решение.


Ответ на: комментарий от anonymous_sapiens

У меня так- Сама игра в 64битной винде взлетает. Требует .НЕТ 2.0 или выше, но не 3.0 и не 3.5. С2.0 акая ситуация, а что не так с 4.0 я уже забыл, позже гляну.

Vekt ()

Если мне не изменяет мой склероз, то Wine реализует только 32-битное API. Т.е. не зависимо от битности Linux, Wine будет 32-битным. Wine64 находится в зачаточном состоянии.

А теперь ответь на вопрос, зачем ты ставишь 64-битный .NET2 ?

alpha3 ()
Ответ на: комментарий от Vekt

У меня ось 64 разрядная. Зачем ставить другой вайн?

Если не ошибаюсь, 64-разрядный wine ещё сильно не доделан. Как минимум «родные» 64-разрядные игрушки в нём вряд ли пойдут.

Deleted ()
Ответ на: комментарий от mityash

Вот туда я и загляул,перед тем как написать, что я начинаю понимать... :-D. кстати, английское арчвики подробнее.

Vekt ()
Ответ на: комментарий от Vekt

Вы бы это... точнее выражались бы, а то мало ли,― народец-то здесь всякое может подумать ;]

carasin ★★★★★ ()
Ответ на: комментарий от Deleted

WoW x64 в x64 wine вполне себе работает.

Плохо что нет вайна который и х86 запустит, и х64.

roman77 ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.